What browser versions do you support?

SurveyMonkey works on most popular web browsers. The system works best with the more recently updated versions of them. We are compatible on both PCs and Macs.

JavaScript and cookies will need to be enabled on any browser in order for the site and surveys to work properly.

When using SurveyMonkey, we recommend using any of the following:   

  • Internet Explorer 8.0 and later
  • Firefox 10.0 and later
  • Safari 5.0 or later
  • Chrome

Some online companies, like AOL, may provide their own browsers. However, these browsers seem more prone to have trouble rendering the site or interacting with the tool.  If this is the case, we recommend using an alternate browser listed above.

NOTE - Browsers in Beta! If a new browser is released in a beta version, we do not offer full support. 

SurveyMonkey works best on Internet Explorer 8.0 and later, Firefox 10.0 and later, Safari 5.0 or later, and Chrome.